
Redmine - Defect #6843

REST API Does Not Include Target Version

2010-11-07 05:48 - Jeremy Walker

Status: Closed Start date: 2010-11-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 2.00 hours

Target version:    

Resolution: Cant reproduce Affected version: 1.0.1

Description

The REST API for issues does not include the target version of the issue.  This is a surprising omission given that the XML returned

for issues contains just about everything else available on the normal issues page.

History

#1 - 2010-11-07 13:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

In trunk and 1.0.1, the target version is present in /issues.xml and /issues/1.xml.

See:

source:/tags/1.0.1/app/views/issues/index.xml.builder#L13

source:/tags/1.0.1/app/views/issues/show.xml.builder#L11

Note that the tag is omitted if target version is not set.

#2 - 2010-11-08 07:29 - Jeremy Walker

Ah sorry, my mistake (must have had some un-versioned records without realizing it).

#3 - 2010-11-08 18:06 - Jeremy Walker

Stupid question though: why is it called "fixed_version" in the API (even for issues with status New, which clearly aren't fixed), but "target version"

(which makes much more sense universally) in normal Redmine?

#4 - 2010-11-08 18:30 - Jean-Philippe Lang

"Target version" is the new display name for this property, but it's still named fixed_version internally and thus in the API.

#5 - 2010-11-08 19:45 - Jeremy Walker

Ahhhh

#6 - 2011-10-25 12:29 - fasdfasd fasdfasdf

SPAM

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.0.1/app/views/issues/index.xml.builder#L13
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.0.1/app/views/issues/show.xml.builder#L11
http://www.tcpdf.org

